org.apache.xmlbeans.impl.xsd2inst

## Class SampleXmlUtil

- java.lang.Object
- - org.apache.xmlbeans.impl.xsd2inst.SampleXmlUtil

-     public class SampleXmlUtil
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QName` | `crackQName(String qName)` Cracks a combined QName of the form URL:localname
    `static String` | `createSampleForType(SchemaField element)`
    `static String` | `createSampleForType(SchemaType sType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createSampleForType

          public static String createSampleForType(SchemaType sType)

      Parameters:
        `sType` - a schema type
      Returns:
        Sample XML as a string

    - #### createSampleForType

          public static String createSampleForType(SchemaField element)

      Parameters:
        `element` - a {code SchemaField}
      Returns:
        Sample XML as a string
      Since:
        v5.0.3

    - #### crackQName

          public static QName crackQName(String qName)

      Cracks a combined QName of the form URL:localname